package com.jusfoun.ydylsz.controller;

import com.jusfoun.ydylsz.service.DrugService;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;



@RestController
@RequestMapping("/drug")
@Api(description="药剂")
public class DrugController {

    @Autowired
    private DrugService drugService;
    

    @ApiOperation(value = "根据熏蒸备案仓号统计药剂", notes = "根据熏蒸备案仓号统计药剂")
    @GetMapping(value = "/getDrugDetail")
    public RootResult<Object> getDrugDetail(@RequestParam(value = "ch") String ch) {
    	RootResult<Object> r = new RootResult<>();
        try {
            r.setCode(200);
            r.setData(drugService.getDrugDetail(ch));
        } catch (Exception e) {
            r.setMsg(e.getMessage());
            e.printStackTrace();
            r.setCode(500);
        }
        return r;
    }

    
}
