package com.jusfoun.ydylsz.controller;

import com.alibaba.fastjson.JSONObject;
import com.jusfoun.ydylsz.constants.ApiTag;
import com.jusfoun.ydylsz.service.HomepageService;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @author by PIG
 * 2023/7/13 16
 */
@Api(tags = "市平台首页", value = "home_page")
@RequestMapping("/homepage")
@RestController
public class HomepageController {

    @Autowired
    private HomepageService homepageService;


    @ApiOperation(tags = {ApiTag.CBL_HOME_PAGE}, notes = "", value = "首页")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "roleId", value = "权限", dataType = "string", paramType = "query")
    })
    @PostMapping(value = "/get_homepage_data")
    public RootResult<Object> getHomepageData(@RequestBody Map<String, Object> params,
                                              @RequestParam(value = "roleId", required = false) String roleId) {
        RootResult<Object> result = new RootResult<>();
        try {
            JSONObject data = homepageService.getHomepageData(params);
            result.setData(data);
            result.setCode(200);
            result.setMsg("请求成功");
        } catch (Exception e) {
            result.setMsg(e.getMessage());
            e.printStackTrace();
            result.setCode(500);
        }
        return result;
    }
}
