package com.jusfoun.ydylsz.controller;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.CornService;
import com.jusfoun.ydylsz.service.RiceService;
import com.jusfoun.ydylsz.vo.CornVO;
import com.jusfoun.ydylsz.vo.RiceVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/rice")
@Api(description="稻谷登统信息表")
public class RiceController {

	@Autowired
	private RiceService riceService;
	
	//通风信息获取
		@ApiOperation(value = "稻谷登统信息表", notes = "参数：仓房编号")
		@GetMapping(value = "/page")
		public RootResult<PageInfo<RiceVO>> page(@RequestParam("cfbm") String cfbm, @RequestParam("pageNo") Integer pageNo, @RequestParam("pageSize") Integer pageSize,@RequestParam(value = "startDate", required = false) String startDate,
												 @RequestParam(value = "endDate", required = false) String endDate){
			RootResult<PageInfo<RiceVO>> r = new RootResult<PageInfo<RiceVO>>();
			try {
				PageInfo<RiceVO> result = riceService.page(cfbm,pageNo,pageSize,startDate,endDate);
				r.setCode(200);
				r.setData(result);
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}


	@ApiOperation(value = "稻谷-导出", notes = "参数：仓房编号")
	@GetMapping(value = "/impRice")
	public RootResult<List<RiceVO>> impRice(@RequestParam("cfbm") String cfbm, @RequestParam(value = "startDate", required = false) String startDate,
											 @RequestParam(value = "endDate", required = false) String endDate){
		RootResult<List<RiceVO>> r = new RootResult<List<RiceVO>>();
		try {
			List<RiceVO> result = riceService.impRice(cfbm,startDate,endDate);
			r.setCode(200);
			r.setData(result);
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}

	@ApiOperation(value = "稻谷初始化", notes = "")
	@GetMapping(value = "/imp")
	public RootResult<String> imp(){
		RootResult<String> r = new RootResult<String>();
		try {
			riceService.imp();
			r.setCode(200);
			r.setData("");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}
}
