package com.jusfoun.ydylsz.controller;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.SafeproduceService;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import com.jusfoun.ydylsz.vo.safeproduce.BusinessFile;
import com.jusfoun.ydylsz.vo.safeproduce.OrgInfo;
import com.jusfoun.ydylsz.vo.safeproduce.RiskManagement;
import com.jusfoun.ydylsz.vo.safeproduce.StorageSafeManageWithBLOBs;
import com.unis.common.utils.DateUtil;

import org.apache.commons.beanutils.BeanUtils;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.hssf.usermodel.HSSFSheet;
import org.apache.poi.hssf.usermodel.HSSFWorkbook;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Font;
import org.apache.poi.ss.util.CellRangeAddress;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.ServletOutputStream;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import java.io.IOException;
import java.io.OutputStream;
import java.util.HashMap;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;
import java.util.Map.Entry;

/**
 * 
 * @author My Sunshine
 *
 */
@RestController
@RequestMapping("/safeproduce")
public class SafeproduceController {
    @Resource
    private SafeproduceService safeproduceService;
    
    
    
    // 安全风险分级管控 列表
    @GetMapping("/riskManagementPageList")
    public RootResult<PageInfo<RiskManagement>> riskManagementPageList(@RequestParam("pageNum") Integer pageNum,
    		                             @RequestParam("pageSize") Integer pageSize,
                                         @RequestParam(value = "qyjgdm",required = false) String qyjgdm,
                                         @RequestParam(value = "kddm",required = false) String kddm,
                                         @RequestParam(value = "fxxx",required = false) String fxxx,
                                         @RequestParam(value = "fxlx",required = false) String fxlx,
                                         @RequestParam(value = "fxfj",required = false) String fxfj) {
        // 返回对象
        RootResult<PageInfo<RiskManagement>> result = new RootResult<>();
        try {
            // 查询list
            PageInfo<RiskManagement> data = safeproduceService.riskManagementPageList(pageNum, pageSize, qyjgdm, kddm,fxxx,fxlx,fxfj);
            result.setCode(200);
            result.setMsg("success");
            result.setData(data);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            result.setCode(500);
            result.setMsg("error");
            return result;
        }
    }
    
    
    // 安全风险分级管控 详情
    @GetMapping("/riskManagementById")
    public RootResult<Object> riskManagementById(@RequestParam("id") String id) {
        RootResult<Object> result = new RootResult<>();
        try {
            RiskManagement riskManagement = safeproduceService.getRiskManagementById(id);
            result.setCode(200);
            result.setMsg("success");
            result.setData(riskManagement);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            result.setCode(500);
            result.setMsg("error");
            return result;
        }
    }
    
    
    // 安全隐患排查治理 列表
    @GetMapping("/hiddenInvestigationPageList")
    public RootResult<PageInfo<StorageSafeManageWithBLOBs>> hiddenInvestigationPageList(@RequestParam("pageNum") Integer pageNum,
    		                             @RequestParam("pageSize") Integer pageSize,
                                         @RequestParam(value = "qyjgdm",required = false) String qyjgdm,
                                         @RequestParam(value = "kddm",required = false) String kddm,
                                         @RequestParam(value = "yhxx",required = false) String yhxx,
                                         @RequestParam(value = "fxlx",required = false) String fxlx,
                                         @RequestParam(value = "fxfj",required = false) String fxfj,
                                         @RequestParam(value = "zgzt", required = false) String zgzt) {
        // 返回对象
        RootResult<PageInfo<StorageSafeManageWithBLOBs>> result = new RootResult<>();
        try {
            // 查询list
            PageInfo<StorageSafeManageWithBLOBs> data = safeproduceService.hiddenInvestigationPageList(pageNum, pageSize, qyjgdm, kddm,yhxx,fxlx,fxfj,zgzt);
            result.setCode(200);
            result.setMsg("success");
            result.setData(data);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            result.setCode(500);
            result.setMsg("error");
            return result;
        }
    }
    
    
    
    // 安全隐患排查治理 详情
    @GetMapping("/hiddenInvestigationById")
    public RootResult<Object> hiddenInvestigationById(@RequestParam("id") String id) {
        RootResult<Object> result = new RootResult<>();
        Map<String, Object> map = new HashMap<String, Object>();
        try {
        	StorageSafeManageWithBLOBs storageSafeManage = safeproduceService.getHiddenInvestigationById(id);
        	List<BusinessFile> fileList = safeproduceService.getFileByBid(id);
        	map.put("storageSafeManage", storageSafeManage);
        	map.put("fileList", fileList);
            result.setCode(200);
            result.setMsg("success");
            result.setData(map);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            result.setCode(500);
            result.setMsg("error");
            return result;
        }
    }
    
  
    // 安全隐患排查治理 导出
    @PostMapping("/hiddenInvestigationExport")
    public RootResult<List<StorageSafeManageWithBLOBs>> hiddenInvestigationExport(
                                         @RequestParam(value = "qyjgdm",required = false) String qyjgdm,
                                         @RequestParam(value = "kddm",required = false) String kddm,
                                         @RequestParam(value = "yhxx",required = false) String yhxx,
                                         @RequestParam(value = "fxlx",required = false) String fxlx,
                                         @RequestParam(value = "fxfj",required = false) String fxfj,
                                         @RequestParam(value = "zgzt", required = false) String zgzt,
                                         HttpServletRequest request,HttpServletResponse response) {
                             			
        // 返回对象
        RootResult<List<StorageSafeManageWithBLOBs>> result = new RootResult<>();
        try {
            // 查询list
            List<StorageSafeManageWithBLOBs> data = safeproduceService.hiddenInvestigationList(qyjgdm, kddm,yhxx,fxlx,fxfj,zgzt);
            LinkedHashMap<String, String> columnName = new LinkedHashMap<>();
          
            columnName.put("orgName","库点名称");
            columnName.put("sbr","识别人");
            columnName.put("hjbw","环节/部位");
            columnName.put("fxxx","风险信息");
            columnName.put("fxlxName","风险类别");
            columnName.put("fxfjName","风险分级");
            columnName.put("fxglcs","风险管控措施");
            columnName.put("yhxx","隐患信息");
             
            columnName.put("yhpcxx","隐患排查信息");
            columnName.put("yhzgxx","隐患整改信息");
            columnName.put("yhysxx","隐患整改验收信息");
            columnName.put("sgjbxx","事故基本信息");
            columnName.put("zgsx","整改时限");
            
            columnName.put("zrdw","整改单位部门");
            columnName.put("zrr","整改责任人");
            columnName.put("zgysxx","整改验收信息");
            columnName.put("fxgzjgzrr","风险跟踪监管责任人");
            columnName.put("zgztName","整改状态");
           
            
         // 输出Excel文件
    		
    		response.reset();
    		String fileName = "安全隐患排查治理统计表";
    		/*response.setHeader("content-disposition", "attachment;filename="
    				+ new String((DateUtil.getDate()+fileName).getBytes("gb2312"), "ISO8859-1") + ".xls");*/
    		response.setHeader("content-disposition", "attachment;filename="
    				+ new String(DateUtil.getDate()) + ".xls");
    	
    		response.setContentType("application/vnd.ms-excel;charset=gb2312");
    		ServletOutputStream output = response.getOutputStream();
    		pojo3Excel(data, output, columnName,fileName);
    		
    		
    		
    		output.close();
            
            
    		result.setCode(200);
            result.setMsg("success");
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            result.setCode(500);
            result.setMsg("error");
            return result;
        }
        
        
    }
    
    
    

    
    public static <T> void pojo3Excel(List<T> pojoList, OutputStream out, LinkedHashMap<String, String> alias,
			String fileName) throws Exception {
		// 创建一个工作簿
		HSSFWorkbook wb = new HSSFWorkbook();

		// 创建一个表
		HSSFSheet sheet = wb.createSheet(fileName);
		
		// 创建第一行，作为表名
		HSSFRow row = sheet.createRow(0);
		row.setHeightInPoints(25);
		
		HSSFCell cell = row.createCell(0);
		cell.setCellValue(fileName);
		
		
		sheet.addMergedRegion(new CellRangeAddress(0, 0, 0, 17));//合并第一行单元格
		
		//设置第一行的样式
		Font font = wb.createFont();
		CellStyle cellStyle = wb.createCellStyle();
		font.setBoldweight(Font.BOLDWEIGHT_BOLD);
        cellStyle.setFont(font);
        
        cellStyle.setAlignment(HSSFCellStyle.ALIGN_CENTER);
        cellStyle.setVerticalAlignment(HSSFCellStyle.VERTICAL_CENTER);
        
       /* cellStyle.setBorderBottom(HSSFCellStyle.BORDER_THIN);
        cellStyle.setBorderLeft(HSSFCellStyle.BORDER_THIN);
        cellStyle.setBorderRight(HSSFCellStyle.BORDER_THIN);
        cellStyle.setBorderTop(HSSFCellStyle.BORDER_THIN);*/


        cell.setCellStyle(cellStyle);
        
       
        
        
        sheet.setDefaultColumnWidth(256*50);
		// 在第一行插入列名
		insertColumnName(1, sheet, alias);
		// *从第2行开始插入数据
		insertColumnDate(2, pojoList, sheet, alias);
		// 输出表格文件
		try {
			wb.write(out);
		} catch (IOException e) {
			e.printStackTrace();
		} finally {
			//wb.close();
			
		}
	}
    
    
    private static void insertColumnName(int rowNum, HSSFSheet sheet, Map<String, String> alias) {
		HSSFRow row = sheet.createRow(rowNum);
		// 列的数量
		int columnCount = 0;

		Set<Entry<String, String>> entrySet = alias.entrySet();

		for (Entry<String, String> entry : entrySet) {
			// 创建第一行的第columnCount个格子
			HSSFCell cell = row.createCell(columnCount++);
			// 将此格子的值设置为alias中的键名
			cell.setCellValue(isNull(entry.getValue()).toString());
		}
	}
    
    
    private static Object isNull(Object object) {
		if (object != null) {
			return object;
		} else {
			return "0";
		}
	}
    
    

	/**
	 * 从指定行开始插入数据
	 * 
	 * @param beginRowNum
	 *            开始行
	 * @param models
	 *            对象数组
	 * @param sheet
	 *            表
	 * @param alias
	 *            列别名
	 * @throws Exception
	 */
	private static <T> void insertColumnDate(int beginRowNum, List<T> models, HSSFSheet sheet,
			Map<String, String> alias) throws Exception {
		for (T model : models) {
			// 创建新的一行
			HSSFRow rowTemp = sheet.createRow(beginRowNum++);

			// 获取列的迭代
			Set<Entry<String, String>> entrySet = alias.entrySet();

			// 从第0个格子开始创建
			int columnNum = 0;
			for (Entry<String, String> entry : entrySet) {
				// 获取属性值
				String property = BeanUtils.getProperty(model, entry.getKey());
				// 创建一个格子
				HSSFCell cell = rowTemp.createCell(columnNum++);
				cell.setCellValue(property);
			}
		}
	}


	
	
	// 根据qyjgdm获取库点名称 列表
    @GetMapping("/getOrgList")
    public RootResult<List<OrgInfo>> getOrgList(@RequestParam("qyjgdm") String qyjgdm) {
                                         
        // 返回对象
        RootResult<List<OrgInfo>> result = new RootResult<>();
        try {
            // 查询list
            List<OrgInfo> data = safeproduceService.getOrgList(qyjgdm);
            result.setCode(200);
            result.setMsg("success");
            result.setData(data);
            return result;
        } catch (Exception e) {
            e.printStackTrace();
            result.setCode(500);
            result.setMsg("error");
            return result;
        }
    }
    

}
