package com.jusfoun.ydylsz.controller;

import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.CornService;
import com.jusfoun.ydylsz.service.SoybeanService;
import com.jusfoun.ydylsz.vo.CornVO;
import com.jusfoun.ydylsz.vo.RiceVO;
import com.jusfoun.ydylsz.vo.SoybeanVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/soybean")
@Api(description="大豆登统信息表")
public class SoybeanController {

	@Autowired
	private SoybeanService soybeanService;
	
	//通风信息获取
		@ApiOperation(value = "大豆登统信息表", notes = "参数：仓房编号")
		@GetMapping(value = "/page")
		public RootResult<PageInfo<SoybeanVO>> page(@RequestParam("cfbm") String cfbm, @RequestParam("pageNo") Integer pageNo, @RequestParam("pageSize") Integer pageSize,@RequestParam(value = "startDate", required = false) String startDate,
													@RequestParam(value = "endDate", required = false) String endDate){
			RootResult<PageInfo<SoybeanVO>> r = new RootResult<PageInfo<SoybeanVO>>();
			try {
				PageInfo<SoybeanVO> result = soybeanService.page(cfbm,pageNo,pageSize,startDate,endDate);
				r.setCode(200);
				r.setData(result);
			} catch (Exception e) {
				r.setMsg(e.getMessage());
				e.printStackTrace();
				r.setCode(500);
			}
			return r;
		}

	@ApiOperation(value = "大豆-导出", notes = "参数：仓房编号")
	@GetMapping(value = "/impSoybean")
	public RootResult<List<SoybeanVO>> impSoybean(@RequestParam("cfbm") String cfbm, @RequestParam(value = "startDate", required = false) String startDate,
											@RequestParam(value = "endDate", required = false) String endDate){
		RootResult<List<SoybeanVO>> r = new RootResult<List<SoybeanVO>>();
		try {
			List<SoybeanVO> result = soybeanService.impSoybean(cfbm,startDate,endDate);
			r.setCode(200);
			r.setData(result);
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}

	@ApiOperation(value = "大豆初始化", notes = "")
	@GetMapping(value = "/imp")
	public RootResult<String> imp(){
		RootResult<String> r = new RootResult<String>();
		try {
			soybeanService.imp();
			r.setCode(200);
			r.setData("");
		} catch (Exception e) {
			r.setMsg(e.getMessage());
			e.printStackTrace();
			r.setCode(500);
		}
		return r;
	}
}
