package com.jusfoun.ydylsz.controller;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.service.StorageHumidityWarningService;
import com.jusfoun.ydylsz.vo.StorageHumidityWarning;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.log4j.Log4j;

@Log4j
@RestController
@RequestMapping(value="/storageHumidityWarning")
@Api(value = "湿度报警", tags = "湿度报警")
public class StorageHumidityWarningController {

	@Resource
	private StorageHumidityWarningService storageHumidityWarningService;

	@ApiOperation(value = "湿度报警", notes = "支持分页")
    @RequestMapping(value = "/getList", produces = MediaType.APPLICATION_JSON_VALUE, method=RequestMethod.GET)
	@ApiImplicitParams({
		@ApiImplicitParam(name = "pageNum", value = "页码", paramType = "query"),
		@ApiImplicitParam(name = "pageSize", value = "每页条数", paramType = "query"),
		@ApiImplicitParam(name = "kqmc", value = "承储企业", paramType = "query"),
		@ApiImplicitParam(name = "chmc", value = "仓房名称", paramType = "query"),
		@ApiImplicitParam(name = "bjsj", value = "报警日期", paramType = "query")
	})
	public PageInfo<StorageHumidityWarning> getList(Integer pageNum, Integer pageSize, String kqmc, 
			String chmc, String bjsj) {
		PageInfo<StorageHumidityWarning> pageInfo = null;
		List<StorageHumidityWarning> list = null;
		try {
			if (null != pageNum && null != pageSize) {
				PageHelper.startPage(pageNum, pageSize);
			}
			list = storageHumidityWarningService.getList(kqmc, chmc, bjsj);
			pageInfo = new PageInfo<StorageHumidityWarning>(list);
		} catch (Exception e) {
			log.error(e.getMessage(), e);
		}
		return pageInfo;
	}

}
