package com.jusfoun.ydylsz.controller;

import com.jusfoun.ydylsz.service.StoragePreAlarmService;
import com.jusfoun.ydylsz.utils.StringUtils;
import com.jusfoun.ydylsz.vo.StoragePreAlarmVO;
import com.jusfoun.ydylsz.vo.out.base.RootResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;


@RestController
@RequestMapping("/alarm")
@Api(description="内控报警")
public class StoragePreAlarmController {

    @Autowired
    private StoragePreAlarmService alarmService;

    @ApiOperation(value = "内控报警(分页列表查询)", notes = "空仓报警(分页列表查询)")
    @GetMapping(value = "/storagePre/page")
    public RootResult<Object> storagePreAlarmPageList(@RequestParam(value = "pageNum", defaultValue = "1") Integer pageNum,
                                                     @RequestParam(value = "pageSize", defaultValue = "10") Integer pageSize,
                                                     @ApiParam(value = "处理状态 0:未处理 1:已处理",required = false) @RequestParam(value = "clzt", defaultValue = "0") Integer clzt,
                                                     @ApiParam(value = "承储企业名称",required = false) @RequestParam(value="ccqy",required = false) String ccqy,
                                                     @ApiParam(value = "报警类型",required = false) @RequestParam(value="bjlx",required = false) String bjlx) {
        RootResult<Object> r = new RootResult<>();
        try {
            r.setCode(200);
            r.setData(alarmService.getStoragePreAlarmPageList(pageNum, pageSize,clzt,ccqy,bjlx));
        } catch (Exception e) {
            r.setMsg(e.getMessage());
            e.printStackTrace();
            r.setCode(500);
        }
        return r;
    }

    @ApiOperation(value = "内控报警处理", notes = "内控报警处理")
    @PostMapping(value = "/storagePre/deal")
    public RootResult<Object> dealStoragePreAlarm(@RequestBody StoragePreAlarmVO vo) {
        RootResult<Object> r = new RootResult<>();
        try {

            if(StringUtils.isEmpty(vo.getId()) || StringUtils.isEmpty(vo.getClrid()) || StringUtils.isEmpty(vo.getClrmc()) || StringUtils.isEmpty(vo.getClyj())){
                r.setCode(500);
                r.setData("参数错误！");
            }
            vo.setClfs(0);//手动处理
            vo.setClsj(new Date());
            vo.setClzt(1);//已处理
            if(alarmService.dealStoragePreAlarm(vo)){
                r.setCode(200);
                r.setData("处理完成！");
            }else{
                r.setData("处理失败！");
            }

        } catch (Exception e) {
            r.setMsg(e.getMessage());
            e.printStackTrace();
            r.setCode(500);
        }
        return r;
    }
}
