package com.jusfoun.ydylsz.service;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.jusfoun.ydylsz.mapper.FumigationMapper;
import com.jusfoun.ydylsz.vo.fumigation.*;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @author qingsong.han
 * @description: 库级管理平台-熏蒸
 * @create 2023-11-01 17:35
 */
public interface FumigationService {

    PageInfo<FumigationDTO> singleFumigation(Integer pageNum, Integer pageSize, String cfbh);

    PageInfo<FumigationDTO> pageListFumigation(Integer pageNum, Integer pageSize, String kddm, String cfbh);

    List<StoreHouseDTO> getStoreHouseList(String kddm);

    Map<String, Object> selectFumigationDetail(String id);

    @Service
    class FumigationServiceImpl implements FumigationService {
        @Resource
        private FumigationMapper fumigationMapper;

        @Override
        public PageInfo<FumigationDTO> singleFumigation(Integer pageNum, Integer pageSize, String cfbh) {
            PageHelper.startPage(pageNum, pageSize);
            List<FumigationDTO> list = fumigationMapper.singleFumigation(cfbh);
            return new PageInfo<>(list);
        }

        @Override
        public PageInfo<FumigationDTO> pageListFumigation(Integer pageNum, Integer pageSize, String kddm, String cfbh) {
            PageHelper.startPage(pageNum, pageSize);
            Map<String, Object> map = new HashMap<>();
            map.put("kddm", kddm);
            map.put("cfbh", cfbh);
            List<FumigationDTO> list = fumigationMapper.pageListFumigation(map);
            return new PageInfo<>(list);
        }

        @Override
        public List<StoreHouseDTO> getStoreHouseList(String kddm) {
            return fumigationMapper.getStoreHouseList(kddm);
        }

        @Override
        public Map<String, Object> selectFumigationDetail(String id) {
            Map<String, Object> resultMap = new HashMap<>();
            // 熏蒸备案
            FumigationForrecord forRecord = fumigationMapper.getForRecordById(id);
            // 处理主要害虫#号分割问题
            String zyhc = forRecord.getZyhc();
            // Error attempting to get column 'zyhc' from result set
            String[] splits = zyhc.split("#");
            StringBuilder builder = new StringBuilder();
            for (String split : splits) {
                builder.append(fumigationMapper.getGroupEnum(split));
                builder.append(",");
            }
            String s = builder.toString();
            forRecord.setZyhc(s.substring(0, s.length() - 1));
            // 熏蒸作业过程
            FumigationProcess process = fumigationMapper.getProcessById(id);
            // 熏蒸作业善后
            FumigationAfter after = fumigationMapper.getAfterById(id);
            // 返回map
            resultMap.put("forRecord", forRecord);
            resultMap.put("process", process);
            resultMap.put("after", after);
            return resultMap;
        }
    }

}
