package com.jusfoun.ydylsz.service;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import com.jusfoun.ydylsz.mapper.StorageHumidityWarningMapper;
import com.jusfoun.ydylsz.vo.StorageHumidityWarning;

@Service
public class StorageHumidityWarningService {

	@Resource
	private StorageHumidityWarningMapper storageHumidityWarningMapper;

	/**
	 * 查询温度报警数据集合
	 * @param kqmc 承储企业
	 * @param chmc 仓房名称
	 * @param jcsj 监测日期
	 * @param jblx 警报类型
	 * @return
	 */
	public List<StorageHumidityWarning> getList(String kqmc, String chmc, String bjsj) throws Exception {
		StorageHumidityWarning storageHumidityWarning = new StorageHumidityWarning();
		if (null != kqmc && !kqmc.isEmpty()) {
			storageHumidityWarning.setKqmc(kqmc);
		}
		if (null != chmc && !chmc.isEmpty()) {
			storageHumidityWarning.setChmc(chmc);
		}
		if (null != bjsj && !bjsj.isEmpty()) {
			storageHumidityWarning.setBjsj_str(bjsj);
		}
		List<StorageHumidityWarning> list = storageHumidityWarningMapper.list(storageHumidityWarning);
		return list;
	}

}
