package com.jusfoun.ydylsz.service;

import lombok.extern.log4j.Log4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

/**
 *
 * @Description：
 * @author：
 * @date: 2020年1月10日 下午2:51:50
 */
@ConditionalOnProperty(prefix = "scheduling", name = "enabled", havingValue = "true")
@Component
@Log4j
public class TaskSchedule {


	@Autowired
	private CornService cornService;
	@Autowired
	private SoybeanService soybeanService;
	@Autowired
	private RiceService riceService;
	@Autowired
	private WheatService wheatService;
	@Autowired
	private CrudeoilService crudeoilService;

//	@Scheduled(cron = "0 20 * ? * *")//每小时的第二十分钟
	@Scheduled(cron="0 0 0,12 * * ?")
	public void updateData() {
		//更新玉米
		try {
			cornService.expCorn();
			log.info("玉米同步结束");
		} catch (Exception e) {
			log.info("玉米同步失败 {}" +e.getMessage());
		}
		//更新小麦
		try {
			wheatService.expWheat();
			log.info("小麦同步结束");
		} catch (Exception e) {
			log.info("小麦同步失败 {}" +e.getMessage());
		}
//		//更新大豆
		try {
			soybeanService.expSoybean();
			log.info("大豆同步结束");
		} catch (Exception e) {
			log.info("大豆同步失败 {}" +e.getMessage());
		}
		//更新稻谷
		try {
			riceService.expRice();
			log.info("稻谷同步结束");
		} catch (Exception e) {
			log.info("稻谷同步失败 {}" +e.getMessage());
		}
//		//更新大豆油
	/*	try {

			log.info("出库检验信息同步结束");
		} catch (Exception e) {
			log.info("出库检验信息同步失败 {}" +e.getMessage());
		}*/
	}
}
