package com.jusfoun.ydylsz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.persistence.Table;
import java.math.BigDecimal;
import java.util.Date;


@Data
@ApiModel(value = "record_crudeoil_info--大豆原油登统信息表")
@Table(name="record_crudeoil_info")
public class CrudeoilVO {

	@ApiModelProperty(value = "主键id")
	private	String id;	//db_column:id	note:主键

	@ApiModelProperty(value = "组织编号")
	private	Integer org_id;	//db_column:cfbh	note:组织编号

	@ApiModelProperty(value = "车辆编号")
	private	String clbh;	//db_column:clbh	note:车辆编号

	@ApiModelProperty(value = "油罐名称")
	private	String ygmc;	//db_column:ygmc	note:油罐名称

	@ApiModelProperty(value = "品种名称")
	private	String pzmc;	//db_column:pzmc	note:品种名称

	@ApiModelProperty(value = "品种")
    private String lspzdm;

	@ApiModelProperty(value = "生产年度")
	private	String scnd;	//db_column:scnd	note:生产年度

	@ApiModelProperty(value = "入库时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
	private Date rkrq;	//db_column:rkrq	note:入库时间

	@ApiModelProperty(value = "入库数量")
	private BigDecimal rksl;	//db_column:rksl	note:入库数量

	@ApiModelProperty(value = "存储方式")
	private String ccfs;
	private String hwbm;
	private String lsxz;

    @ApiModelProperty(value = "相对密度", notes = "cf5b2b37d8b511ec81ac00ff2bc9e548")
    private String xdmd;

    @ApiModelProperty(value = "色泽", notes = "cf5b2d3fd8b511ec81ac00ff2bc9e548")
    private String se;

    @ApiModelProperty(value = "透明度", notes = "cf5b367dd8b511ec81ac00ff2bc9e548")
    private String tmd;


    @ApiModelProperty(value = "水分及挥发物含量% | 水分 ", notes = "cf5b37a3d8b511ec81ac00ff2bc9e548")
    private String sf;

    @ApiModelProperty(value = "气味、滋味 | 色泽气味口味", notes = "cf5b3dabd8b511ec81ac00ff2bc9e548")
    private String seqw;

    @ApiModelProperty(value = "不溶性杂质含量%", notes = "cf5b3864d8b511ec81ac00ff2bc9e548")
    private String brxzzhl;

    @ApiModelProperty(value = "酸价（KOH）/（mg/g)", notes = "cf5b392ed8b511ec81ac00ff2bc9e548")
    private String sj;

    @ApiModelProperty(value = "过氧化值（mmol/kg）", notes = "cf5b39d6d8b511ec81ac00ff2bc9e548")
    private String gyhz;

    @ApiModelProperty(value = "溶剂残留量（mg/kg）", notes = "cf5b3e4fd8b511ec81ac00ff2bc9e548")
    private String rjcll;

    @ApiModelProperty(value = "含皂量%", notes = "cf5b3b1dd8b511ec81ac00ff2bc9e548")
    private String hzl;

    @ApiModelProperty(value = "加热试验（280℃）", notes = "cf5b3bc2d8b511ec81ac00ff2bc9e548")
    private String jrsy;

    @ApiModelProperty(value = "冷冻实验（0℃冷藏5.5h）", notes = "cf5b3c64d8b511ec81ac00ff2bc9e548")
    private String ldsy;

    @ApiModelProperty(value = "烟点（℃", notes = "cf5b3d08d8b511ec81ac00ff2bc9e548")
    private String yd;

}
