package com.jusfoun.ydylsz.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author by PIG
 * 2022/12/14 14
 */
@Data
@ApiModel(value = "record_corn_info--预警告警_设备故障_测温故障")
@Table(name="storage_temperaturepoint_warning")
public class StorageBadTemperaturePointVO {

    @ApiModelProperty(value = "主键id")
    private	String id;	//db_column:id	note:主键

    @ApiModelProperty(value = "库区编码")
    private String kqbm;

    @ApiModelProperty(value = "仓房编码")
    private String cfbm;

    @ApiModelProperty(value = "仓房名称")
    private String ch;

    @ApiModelProperty(value = "故障测温点数量")
    private long gzcwdsl;

    @ApiModelProperty(value = "报警日期")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date bjsj;


    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date create_time;

    @ApiModelProperty(value = "修改时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date update_time;


    @ApiModelProperty(value = "库区代码")
    @Column(name = "kqdm")
    private String kqdm;


}
