package com.jusfoun.ydylsz.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * temp:温度值 单位：摄氏度；坏点值以250表示；
 * 精确到小数点后1位;
 * 测温点在仓内的X坐标代表长度 代表列;
 * 测温点在仓内的Y坐标宽度方向 代表行;
 * 测温点在仓内的Z坐标高度
 *
 * @author by PIG
 * 2022/12/8 16
 */
@ApiModel("t_testdata.t_points")
@Data
public class TPointsObj {

    @ApiModelProperty(value = "测温点在仓内的X坐标代表长度 代表列")
    private String X;
    @ApiModelProperty(value = "测温点在仓内的Y坐标宽度方向 代表行")
    private String Y;
    @ApiModelProperty(value = "测温点在仓内的Z坐标高度")
    private String Z;
    @ApiModelProperty(value = "温度值 单位：摄氏度；坏点值以250表示. 精确到小数点后1位")
    private BigDecimal temp;

    public boolean isBad() {
        return this.temp.doubleValue() == 250D || this.temp.doubleValue() == -100D;
    }

}

