package	com.jusfoun.ydylsz.vo;

import cn.hutool.json.JSONArray;
import io.swagger.annotations.ApiModel;

import java.util.List;
import java.util.Map;
import java.util.Optional;

import javax.persistence.Table;
import javax.swing.text.html.Option;

import org.springframework.beans.factory.annotation.Autowired;

import lombok.Data;
import io.swagger.annotations.ApiModelProperty;


@Data
@ApiModel(value = "t_testdata--表4-4 温度信息")
@Table(name="t_testdata")
public class TemperatureVO {

	@ApiModelProperty(value = "主键id")
	private	String id;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "时间")
	private	String tTime;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "仓内温")
	private	String intemp;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "仓内湿")
	private	String inh;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "仓外温")
	private	String outtemp;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "仓外湿")
	private	String outh;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "最高粮温")
	private	String tMax;	//db_column:cfbh	note:仓房编码


	@ApiModelProperty(value = "最高粮温部位")
	private	String tMaxName;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "最低粮温")
	private	String tMin;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "最低粮温部位")
	private	String tMinName;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "平均粮温")
	private	String tAvg;	//db_column:cfbh	note:仓房编码

    /**
     * temp:温度值 单位：摄氏度；坏点值以250表示；
     * 精确到小数点后1位;
     * 测温点在仓内的X坐标代表长度 代表列;
     * 测温点在仓内的Y坐标宽度方向 代表行;
     * 测温点在仓内的Z坐标高度
     */
	@ApiModelProperty(value = "温度值")
	private	String tPoints;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "=货位编码")
	private	String hwbm;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "时间")
	private	String storehouseCode;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "仓房名称")
	private	String storehouseName;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "企业名称")
	private	String depotName;	//db_column:cfbh	note:仓房编码
    @ApiModelProperty(value = "统一社会信用代码")
    private	String tyshxydm;

	@ApiModelProperty(value = "保管员")
	private	List<String> bgy;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty(value = "保管员")
	private	List<Map<String, Object>> lwjh;	//db_column:cfbh	note:仓房编码

	@ApiModelProperty()
	private List<List<Map<String, Object>>> lwcjh;


	@ApiModelProperty(value = "日期集合")
	private	List<String> date;	//db_column:cfbh	note:仓房编码

	// 机动点信息
	@ApiModelProperty(value = "机动点一温度")
	private String motorTempOne;

	@ApiModelProperty(value = "机动点一部位")
	private String motorDotOne;

	@ApiModelProperty(value = "机动点二温度")
	private String motorTempTwo;

	@ApiModelProperty(value = "机动点二部位")
	private String motorDotTwo;

	@ApiModelProperty(value = "机动点三温度")
	private String motorTempThree;

	@ApiModelProperty(value = "机动点三部位")
	private String motorDotThree;

	@ApiModelProperty(value = "机动点四温度")
	private String motorTempFour;

	@ApiModelProperty(value = "机动点四部位")
	private String motorDotFour;

	@ApiModelProperty(value = "机动点五温度")
	private String motorTempFive;

	@ApiModelProperty(value = "机动点五部位")
	private String motorDotFive;

	private String orgId;

	@ApiModelProperty(value = "粮温、湿温阈值信息")
	private ThresholdVO threshold;

    List<TPointsObj> tPointsObjList;

    public boolean isPointNotEmpty() {
        return Optional.ofNullable(this.tPointsObjList).map(i -> i.size() > 0).orElse(false);
    }

    public boolean isBadPoint() {
        return new JSONArray(this.tPoints).toList(TPointsObj.class).stream().anyMatch(TPointsObj::isBad);
    }
}
